package register

import "git.linuxforward.com/byom/byom-onboard/internal/common/models"

type RegistrationService interface {
	InitiateRegistration(user *models.User) error
	ValidateEmail(token string) (*ValidationResult, error)
	CreateSessionToken(email string) (string, error)
}
