package register

import "time"

type ValidationResult struct {
	Email        string    `json:"email"`
	ValidatedAt  time.Time `json:"validated_at"`
	SessionToken string    `json:"session_token"`
}

type RegistrationStatus struct {
	Email     string    `json:"email"`
	Step      string    `json:"step"` // "email_sent", "email_validated", "plan_selected", "payment_pending"
	UpdatedAt time.Time `json:"updated_at"`
}
