package middleware

import "github.com/gin-gonic/gin"

type AdminMiddleware struct {
	accounts *gin.Accounts
}

func NewAdminMiddleware() *AdminMiddleware {

	var accounts = gin.Accounts{
		"admin": "admin",
	}

	return &AdminMiddleware{
		accounts: &accounts,
	}
}

func (a *AdminMiddleware) Middleware() gin.HandlerFunc {
	return gin.BasicAuth(*a.accounts)
}
